# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define fedora 19
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           squeal
Version:        0.4.1
Release:        alt1_7
Summary:        Data manipulation tool for the command line

Group:          Development/Other
License:        LGPLv2
URL:            https://fedorahosted.org/squeal
Source0:        https://fedorahosted.org/released/squeal/squeal-0.4.1.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel

# Trying to support both Fedora and RHEL:
%if 0%{?fedora}
BuildRequires:  python-module-distribute
%else
BuildRequires:  python-module-setuptools
%endif
Source44: import.info


%description
"squeal" is a tool for manipulating data from the shell, and in shell
pipelines.

It is able to carve up various types of input file, treating them as tabular
data.  It has backends for working with many types of log file, configuration
files, and archive formats.

It accepts a subset of SQL for manipulating the inputs, such as filtering,
sorting and aggregating.

Finally, it can output the results in a number of formats, including a
text-based user interface.


%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_bindir}/squeal.py $RPM_BUILD_ROOT/%{_bindir}/squeal

%files
%doc README COPYING
%{python_sitelibdir_noarch}/*
%{_bindir}/squeal


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_7
- initial fc import

